<div class="movements">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.MOVEMENTS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.MOVEMENTS.DESCRIPTION' | translate"
    [total]="(movements$ | async)?.count"
    [tooltipMessage]="'MERCHANT_MANAGER.MOVEMENTS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <movements-filters></movements-filters>
    <div class="movements__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="movements$ | async"
        [isLoading]="(isLoadingMovements$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #typeTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as type">
    <layout-status [status]="type"></layout-status>
  </ng-container>
</ng-template>
